Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### case

Examples

    char letter = 'B';

    switch(letter) {
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'B':
        println("Bravo");  // Prints "Bravo"
        break;
      default:
        println("Zulu");   // Does not execute
        break;
    }

Description | Denotes the different labels to be evaluated with the parameter in the switch() structure.

Syntax

    case label: statements

Parameters

label | byte, char, or int
statements | one or more valid statements

Usage | Web & Application
Related | switch() default break

Updated on August 30, 2010 04:29:39pm EDT